#include <bits/stdc++.h>
using namespace std;

int main ()
{
    int n;
    cin >> n;
    string a;
    for(int i=0; i<n; i++)
    {
        int v[256]={0};
        string s;
        cin >> s;
        int Max=0;
        for(int j=0; j<s.size(); j++)
        {
            int x = int(s[j]);
            v[x]++;
            Max=max(Max, x);
        }
        int br=0;
        bool b=false;
        for(int k=0; k<=Max; k++)
        {

            if(v[k]%2!=0)
            {
                br++;
                if(br>1)
                {
                    b=true;
                    break;
                }
            }
        }
        if(b)
        {
            a.push_back('0');
        }
        else
        {
            a.push_back('1');
        }
    }
    cout << a;
    return 0;
}
